#ifndef _H_D49E614E272B83C97CF7FAD6F592F065_Metadata__H_
#define _H_D49E614E272B83C97CF7FAD6F592F065_Metadata__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace ouster_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct  Metadata_
            {
                struct _beam_azimuth_angles__seq_uniq_{};
                typedef DDS_DCPSUFLSeq< ::DDS::Double, struct _beam_azimuth_angles__seq_uniq_ > _beam_azimuth_angles__seq;
                typedef DDS_DCPSSequence_var< _beam_azimuth_angles__seq > _beam_azimuth_angles__seq_var;
                typedef DDS_DCPSSequence_out< _beam_azimuth_angles__seq > _beam_azimuth_angles__seq_out;
                struct _beam_altitude_angles__seq_uniq_{};
                typedef DDS_DCPSUFLSeq< ::DDS::Double, struct _beam_altitude_angles__seq_uniq_ > _beam_altitude_angles__seq;
                typedef DDS_DCPSSequence_var< _beam_altitude_angles__seq > _beam_altitude_angles__seq_var;
                typedef DDS_DCPSSequence_out< _beam_altitude_angles__seq > _beam_altitude_angles__seq_out;
                struct _imu_to_sensor_transform__seq_uniq_{};
                typedef DDS_DCPSUFLSeq< ::DDS::Double, struct _imu_to_sensor_transform__seq_uniq_ > _imu_to_sensor_transform__seq;
                typedef DDS_DCPSSequence_var< _imu_to_sensor_transform__seq > _imu_to_sensor_transform__seq_var;
                typedef DDS_DCPSSequence_out< _imu_to_sensor_transform__seq > _imu_to_sensor_transform__seq_out;
                struct _lidar_to_sensor_transform__seq_uniq_{};
                typedef DDS_DCPSUFLSeq< ::DDS::Double, struct _lidar_to_sensor_transform__seq_uniq_ > _lidar_to_sensor_transform__seq;
                typedef DDS_DCPSSequence_var< _lidar_to_sensor_transform__seq > _lidar_to_sensor_transform__seq_var;
                typedef DDS_DCPSSequence_out< _lidar_to_sensor_transform__seq > _lidar_to_sensor_transform__seq_out;
                ::DDS::String_mgr hostname_;
                ::DDS::String_mgr lidar_mode_;
                _beam_azimuth_angles__seq beam_azimuth_angles_;
                _beam_altitude_angles__seq beam_altitude_angles_;
                _imu_to_sensor_transform__seq imu_to_sensor_transform_;
                _lidar_to_sensor_transform__seq lidar_to_sensor_transform_;
                ::DDS::String_mgr serial_no_;
                ::DDS::String_mgr firmware_rev_;
                ::DDS::Octet imu_port_;
                ::DDS::Octet lidar_port_;
            };

            typedef DDS_DCPSStruct_var<Metadata_> Metadata__var;
            typedef DDS_DCPSStruct_out < Metadata_> Metadata__out;

        }

    }

}

#endif /* _H_D49E614E272B83C97CF7FAD6F592F065_Metadata__H_ */
